# Installation
> `npm install --save @types/redis-errors`

# Summary
This package contains type definitions for redis-errors (https://github.com/NodeRedis/redis-errors#readme).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/redis-errors.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/redis-errors/index.d.ts)
````ts
export class RedisError extends Error {
}

export class ParserError extends RedisError {
    buffer: string;
    offset: number;

    constructor(message: string, buffer: string, offset: number);
}

export class ReplyError extends RedisError {
    command?: string | undefined;
    args?: any[] | undefined;
    code?: string | undefined;

    constructor(message: string);
}

export class AbortError extends RedisError {
    command?: string | undefined;
    args?: any[] | undefined;
}

export class InterruptError extends RedisError {
    command?: string | undefined;
    args?: any[] | undefined;
    origin: Error;
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 15:11:36 GMT
 * Dependencies: none

# Credits
These definitions were written by [James Garbutt](https://github.com/43081j).
